Package org.silverpeas.processmanager

## Class ProcessManagerFatalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.silverpeas.core.exception.SilverpeasException
      - - org.silverpeas.processmanager.ProcessManagerException
        - - org.silverpeas.processmanager.ProcessManagerFatalException

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.exception.FromModule`, `org.silverpeas.core.exception.WithNested`

      public class ProcessManagerFatalException
      extends ProcessManagerException

  Thrown when a fatal error occured in a processManager component.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.exception.SilverpeasException

      `ERROR, FATAL, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessManagerFatalException​(String caller, String message)` | Set the caller and the error message
    `ProcessManagerFatalException​(String caller, String message, Exception nestedException)` | Set the caller, the error message and the nested exception.
    `ProcessManagerFatalException​(String caller, String message, String infos)` | Set the caller, infos and the error message
    `ProcessManagerFatalException​(String caller, String message, String infos, Exception nestedException)` | Set the caller, the error message, infos and the nested exception.

  - ### Method Summary

    - ### Methods inherited from class org.silverpeas.processmanager.ProcessManagerException

      `getModule`

    - ### Methods inherited from class org.silverpeas.core.exception.SilverpeasException

      `getChainedExceptions, getErrorLevel, getExtraInfos, getMessageLang, getMessageLang, getNested, printStackTrace, printStackTrace, printStackTrace, traceException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessManagerFatalException

          public ProcessManagerFatalException​(String caller,
                                              String message)

      Set the caller and the error message

    - #### ProcessManagerFatalException

          public ProcessManagerFatalException​(String caller,
                                              String message,
                                              Exception nestedException)

      Set the caller, the error message and the nested exception.

    - #### ProcessManagerFatalException

          public ProcessManagerFatalException​(String caller,
                                              String message,
                                              String infos)

      Set the caller, infos and the error message

    - #### ProcessManagerFatalException

          public ProcessManagerFatalException​(String caller,
                                              String message,
                                              String infos,
                                              Exception nestedException)

      Set the caller, the error message, infos and the nested exception.